AccountEdge 2017 System Requirements

Article ID: 2025212            Last Updated:  22 March 2017

 

 

AccountEdge 2017

AccountEdge Plus 2017

AccountEdge Plus NE 2017
Operating System
  • 10.9  (Mavericks)
  • 10.10  (Yosemite)
  • 10.11  (El Capitan)      
  • 10.12  (Sierra)                      
  • 10.9  (Mavericks)
  • 10.10  (Yosemite)
  • 10.11  (El Capitan)
  • 10.12  (Sierra)
Hardware
  • Intel based Mac with 2GB RAM or more
  • 250MB available hard disk space for program installation
  • Minimum of 35MB available hard disk space for each company file created
  • 1152x720 screen resolution
  • Intel based Mac with 4GB RAM or more
  • 250Mb available hard disk space for program installation
  • Minimum of 35MB available hard disk space for each company file created
  • 1152x720 screen resolution
  • Note that UNIX-formatted hard drives are not supported
OfficeLink
  • Microsoft Office 2008, 2011, or 2016 for Mac
  • Microsoft Office 2008, 2011 or 2016 for Mac
Internet
  • Internet access required for registration, accessing program updates, payroll updates and online help
  • Internet access required for registration, accessing program updates, payroll updates and online help
Network  
  • 100 BaseT or faster Ethernet network
  • For more information about network system requirements please view the AccountEdge Network edition Implementation Guide
For Better Performance  
  • Intel Dual Core i5 or faster with 8GB RAM for host computer
  • 1000 BaseT/Gigabit Ethernet Network
  • SSD (Solid State Drive) on host computer
  • Mac OS X 10.11 El Capitan; OS 10.12 (Sierra)

Note

Hardware and software requirements will vary depending on your operating system. We do not recommend WiFi or Airport connections with AccountEdge Plus NE, see further below for more information.

 

How do I find my Mac's specifications?

To check if your computer(s) meet AccountEdge's system requirements, click on the Apple icon on the top left corner of your screen and select Acout This Mac, example shown below. 

About This Mac

I use OS X 10.8 or earlier, what are my computer's upgrade options?

You should consult Apple or your IT administrator about your options for upgrading your computer(s) to OS X 10.9 or higher.

Before any OS X upgrade, you should ensure the compatibility of all your business critical software and hardware.

Useful information about upgrading from OS X 10.8 or earlier can be found here.

 

System Requirements for Earlier Versions of AccountEdge

A list of the System Requirements for older versions of AccountEdge products can be found below:

 

AccountEdge & AccountEdge Plus             versions 2016, 2015, 2014, 2013, 2012, 2011, 2010

AccountEdge Plus NE (Network Edition)    versions 2016, 2015, 2014, 2013, 2012, 2011, 2010